QGIS Application - Bug report #13119
Import Vector Layer to PostGIS with DB Manager causes hard QGIS crash
2015-07-15 12:01 PM - Matthew Baker

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:2.10.0 Regression?: No

Operating System: Ubuntu / Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corruptsdata: Copied to github as #: 21184
Description

When importing a vector layer through DB Manager into PostGIS, QGIS will hard crash (disappear)

The table gets created, with target schema, but no data gets loaded

| have had this issue on 2 machines running QGIS 2.10 and Ubuntu 14.04

(Note: | am pulling from http:/qgis.org/debian trusty main as my repository on these Ubuntu machines, and it automatically upgraded to
2.10 a few weeks ago)

History

#1 - 2015-07-31 01:12 AM - Giovanni Manghi
- Category set to DB Manager

- Target version deleted (Version 2.10)

- Status changed from Open to Feedback

| cannot replicate here on Linux (ubuntu 14.04) and Windows 7. Does it happens with all layers (and type of input data sources)? what does the console
says when it crashes? Can you add sample data? thanks.

#2 - 2015-07-31 09:28 AM - Matthew Baker

- Target version set to Version 2.10

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Giovanni - | can now successfully load a .SHP into PostGIS using the same parameters that were causing the crash a few weeks ago.

Perhaps another change went into the repository I'm pulling from that fixed this?

In any event, | changed the status to closed, | hope that's appropriate. | will report back if | experience this again.

Thanks!

Giovanni Manghi wrote:

| cannot replicate here on Linux (ubuntu 14.04) and Windows 7. Does it happens with all layers (and type of input data sources)? what does the
console says when it crashes? Can you add sample data? thanks.
http://qgis.org/debian

#3 - 2015-07-31 09:42 AM - Giovanni Manghi
- Resolution set to not reproducable

#4 - 2016-04-01 04:17 AM - stefano nardone

| experience the same behaviour described from Matthew: using QGIS 2.10.1 on Ubuntu 14.04.4 LTS

Trying to import poly or point shapes to a Postgresq| database fails every time.

#5 - 2016-04-01 05:25 AM - stefano nardone

Just upgraded QGIS to 2.14.1 and experiencing the same hard crash without any message, only disappear.
For info the shape file that I'm trying to import is a memory temporary one.
